org.eclipse.core.filebuffers.manipulation

## Class ContainerCreator

- java.lang.Object
- - org.eclipse.core.filebuffers.manipulation.ContainerCreator

    public class ContainerCreator
    extends Object

Helper class to create a container and all missing parent containers.

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`ContainerCreator(IWorkspace workspace, IPath fullPath)` Constructs a container creator for the given path in the given workspace.

### Method Summary

All Methods Instance Methods Concrete Methods
`IContainer` `createContainer(IProgressMonitor progressMonitor)` Creates this container.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerCreator

    public ContainerCreator(IWorkspace workspace,
                            IPath fullPath)

Constructs a container creator for the given path in the given workspace.

Parameters:
  `workspace` - the workspace in which to create the container
  `fullPath` - the full path of the container, must not denote a file

### Method Detail

#### createContainer

    public IContainer createContainer(IProgressMonitor progressMonitor)
                               throws CoreException

Creates this container.

Parameters:
  `progressMonitor` - the progress monitor or `null` if none
Returns:
  the container specified by this container creator's full path
Throws:
  `CoreException` - if this container creator's full path denotes a file or creating either the project or folders for the given container fails